%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Name: cervisia
Summary: Graphical CVS client
Version: 0.6.0
Release: 9
Source: ftp://ftp.kde.org/pub/kde/unstable/apps/utils/cervisia-%{version}.tar.gz
Patch0: html.patch
Patch1: cervisia-alpha.patch
Patch2: cervisia-build.patch
Patch3: cervisia-0.6.0-kbuttonbox.patch
Patch4: cervisia-0.6.0-broken.patch
URL: http://cervisia.sourceforge.net
Group: Development/Tools
Copyright: Artistic 
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: qt1x-devel, kdesupport-devel
%ifnarch ia64
BuildPrereq: compat-egcs-c++
%endif
Prefix: %{kdeprefix}
Excludearch: ia64

%description
Cervisia is a KDE graphical frontend for the the CVS client. It
features checking out a module from a repository, updating or
retrieving the status of a working directory or single files, common
operations like add, remove and commit, diff against the repository
and between different revisions, annotated view of a file, view of the
log messages in tree and list form as well as resolving of conflicts
in a file.

%prep
%setup -q
#%patch0 -p1 -b .tim
#%patch1 -p0 -b .than
%patch2 -p1 -b .ltconfig
#%patch3 -p1 -b .kbuttonbox
#%patch4 -p1 -b .broken

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

test -f Makefile.dist && make -f Makefile.dist
CFLAGS="$FLAGS" CXXFLAGS="$FLAGS" \
%configure --prefix=%{kdeprefix} \
  --with-install-root=$RPM_BUILD_ROOT

make -j $CPUS CXX="$CXX" CC="$CC" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS Artistic ChangeLog README TODO
%{_bindir}/cervisia
%{_docdir}/HTML/en/cervisia
%{_mandir}/*/cervisia.1*
%{_datadir}/applnk/Development/Cervisia.kdelnk

%changelog
* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against kde1, kde1 is now as default

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sun Jul 23 2000 Than Ngo <thanqredhat.de>
- Don't hardcode Qt version

* Tue Jul 11 2000 Than Ngo <than@redhat.de>
- rebuilt with the new qt/kde2

* Thu Jul 06 2000 Than Ngo <than@redhat.de>
- FHS fixes
- fix to build with gcc-2.96 on alpha,sparc,ia64
- built with egcs++ on i386

* Sat May 20 2000 Ngo Than <than@redhat.de>
- rebuilt with kde2 and qt-2.1 for powertools 7.0
- put man pages in /usr/share/man/*
- update Url
- patch config.sub to compiler on alpha

* Mon May 8 2000 Tim Powers <timp@redhat.com>
- updated to 0.6.0

* Wed Feb 23 2000 Tim Powers <timp@redhat.com>
- fixed kde_htmldir some more. This time used a patch so that the fix would be
	used.
	
* Tue Feb 22 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir

* Wed Feb 2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with Qt 1.45

* Tue Jan 4 2000 Tim Powers <timp@redhat.com>
- update to 0.3.1
- no longer using file list, too few files not to put in the %files section
- gzip man pages, strip binary
- changed license to be artistic
- using %configure to prevent libtool brakage during the build (so libtoolize
	is run)
- built for 6.2

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- slightly modified for powertools.

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

